
Infrastructure - Task #731

Story # 915 (Closed): Implement remainder of REST interface in metacat

Implement getChecksum

2010-08-02 21:51 - Chad Berkley

Status: Closed Start date: 2010-10-06

Priority: High Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2010.48   

Milestone:  Story Points:  

Product Version: *   

Description

This method can now easily be implemented but still throws a NotImplemented exception.

History

#1 - 2010-10-06 17:15 - Chad Berkley

- Start date set to 2010-10-06

- Parent task set to #915

#2 - 2010-10-07 12:26 - Dave Vieglais

- Tracker changed from Bug to Task

#3 - 2010-10-19 16:38 - Chad Berkley

- Status changed from New to In Progress

Added getChecksum and wrote a test in CrudServiceTest.  Need to add it to the D1Client once it can be compiled again.

#4 - 2010-10-19 16:38 - Chad Berkley

- translation missing: en.field_remaining_hours set to 1.0

#5 - 2010-11-17 20:02 - Chad Berkley

- % Done changed from 0 to 80

Need to alter the d1 schemas so that Checksum is a root element.  This is almost done except that the Checksum object cannot be serialized

because it is not a root element.  Robert is working on this.  Blocked until that is fixed.  See issue 1085.

#6 - 2010-11-19 17:24 - Chad Berkley

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Metacat implementation is done.  D1 still needs schema changes.
